summaryrefslogtreecommitdiff
path: root/script/check
diff options
context:
space:
mode:
authorStefan Kreutz <mail@skreutz.com>2022-12-18 21:30:46 +0100
committerStefan Kreutz <mail@skreutz.com>2022-12-18 21:30:46 +0100
commitf2181e1c8d55d4da0e298685f7805ae0c17cf6ae (patch)
tree5f5d61e83397d435f30a572404e21f8d400ac481 /script/check
downloadparseq-f2181e1c8d55d4da0e298685f7805ae0c17cf6ae.tar
Add initial implementationparseq-0.1.0
Diffstat (limited to 'script/check')
-rwxr-xr-xscript/check12
1 files changed, 12 insertions, 0 deletions
diff --git a/script/check b/script/check
new file mode 100755
index 0000000..6737278
--- /dev/null
+++ b/script/check
@@ -0,0 +1,12 @@
+#! /bin/sh
+
+set -o errexit
+set -o nounset
+set -o xtrace
+
+cargo check --workspace --all-targets --all-features
+cargo build --workspace --all-targets --all-features
+cargo test --workspace --all-targets --all-features
+cargo clippy --workspace --all-targets --all-features -- --deny warnings
+cargo doc --all-features --no-deps --document-private-items
+cargo audit
Generated by cgit. See skreutz.com for my tech blog and contact information.